import numpy as np

def comp_emit_BF_3_SEG(p,f_neutral,f_sel1,f_sel2):
    # p: conditional prob of vo given z,r,SE,unfolded. size nb_sites*(n+1)   
    # f_neutral: neutral frequency spectrum, size n+1
    # f_sel1,f_sel2: frequency spectrum in the non-neutral hidden states, size n+1
    # E: emission matrix, size nb_states*1
    E = np.zeros(3)  
    E[0] = np.sum(f_neutral * p)
    E[1] = np.sum(f_sel1 * p)
    E[2] = np.sum(f_sel2 * p)
    return E
#...
